# OrderCalculation

### Fields

#### amountUntilFreeShippingCents ([Int](/graphql-api/api-reference/objects/int.md))

Amount in cents until shipping is free

#### amountUntilFreeShippingExclTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

Amount in cents until shipping is free excluding tax

#### amountUntilFreeShippingInclTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

Amount in cents until shipping is free including tax

#### currency ([String](/graphql-api/api-reference/objects/string.md)!)

The currency for this order

#### discountCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total discount in cents including tax

#### discountExclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total discount excluding tax in cents

#### discountInclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total discount including tax in cents

#### percentDiscount ([Int](/graphql-api/api-reference/objects/int.md))

Total percentage of discount

#### promotionDiscountExclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Promotion discount excluding tax in cents

#### promotionDiscountInclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Promotion discount including tax in cents

#### shippingCostsCents ([Int](/graphql-api/api-reference/objects/int.md)!)

ShippingCosts in cents for the (virtual) order including tax

#### shippingCostsExclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

ShippingCosts in cents for the (virtual) order excluding tax

#### shippingCostsInclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

ShippingCosts in cents for the (virtual) order including tax

#### subtotalBeforeShippingExclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Subtotal in cents before shipping and discount excluding tax

#### subtotalBeforeShippingInclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Subtotal in cents before shipping and discount including tax

#### subtotalCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Subtotal in cents before shipping and discount

#### totalCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total in cents including tax

#### totalExclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total in cents excluding tax

#### totalInclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total in cents including tax

#### totalTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Total tax in cents for the (virtual) order

#### volumeDiscountExclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Volume discount excluding tax in cents

#### volumeDiscountInclTaxCents ([Int](/graphql-api/api-reference/objects/int.md)!)

Volume discount including tax in cents


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/order-calculation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
